Standalone backup agents for Linux and Unix workloads on-premises or in the public cloud
Post Reply
kimhansen
Novice
Posts: 8
Liked: 2 times
Joined: Jul 20, 2009 7:05 pm
Full Name: Kim Alexander Hansen
Contact:

CENTOS 7.6 - CIFS version issue

Post by kimhansen »

It seems that CentOS 7.6 changes default CIFS smb dialect to something newer and it breaks CIFS backup to some older linux based NAS box targets:

Code: Select all

---
      04:30:01        Job DailyBackup started at 2018-12-10 04:30:01 CET
      04:30:01        Retrying the job
      04:30:01        [error] Failed to perform backup
      04:30:01        [error] mount error(112): Host is down
      04:30:01        [error] Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
      04:30:01        [error] Exit code: [32]
      04:30:01        [error] Failed to execute script command mount
      04:30:01        [error] Unable mount device[//192.168.0.36/backup/VeeamBackups] to [/tmp/v...
      04:30:01        [error] Unable get share repository resource
      04:30:01        [error] Unable create OnShareRepositoryEx
      04:30:01        [error] Processing finished with errors at 2018-12-10 04:30:01 CET
---

Dec 10 04:20:01 server2 kernel: CIFS VFS: cifs_mount failed w/return code = -112
Dec 10 04:30:01 server2 kernel: No dialect specified on mount. Default has changed to a more secure dialect, SMB2.1
 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 dialect to access old servers which do not sup
port SMB3 (or SMB2.1) specify vers=1.0 on mount.
It could be fixed by adding vers=1.0 to the mount options, but is it possible to specify this somewhere?

PTide
Product Manager
Posts: 5626
Liked: 549 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by PTide »

Hi,

As far as I know mount.cifs should be able to auto-negotiate the version, however I am not sure if it's still the case for SMB older than 2.1. If not, then the workaround would be to mount the share with required settings via pre-job script.

Thanks!

eazaika
Novice
Posts: 3
Liked: never
Joined: Jan 14, 2019 10:05 am
Full Name: Ekaterina Zaika
Contact:

[MERGED] Change SMB version

Post by eazaika »

I found some error when tried to backup linux-serv:

Code: Select all

[25.04.2019 15:54:00] <139846953727744> lpbcore| ERR |mount error(5): Input/output error
[25.04.2019 15:54:00] <139846953727744> lpbcore| >>  |Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)
[25.04.2019 15:54:00] <139846953727744> lpbcore| >>  |
[25.04.2019 15:54:00] <139846953727744> lpbcore| >>  |Exit code: [32]
[25.04.2019 15:54:00] <139846953727744> lpbcore| >>  |Failed to execute script command mount
[25.04.2019 15:54:00] <139846953727744> lpbcore| >>  |Unable mount device[//ip/share] to [/tmp/veeam/ipshare].
Our QNAP windows serv use SMB version 1 and this setting cannot be changed. So, how can I change veeam client (v3.0.1.1046) settings for use mounting SMB1?

PTide
Product Manager
Posts: 5626
Liked: 549 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by PTide »

Hi,

Ability to specify the exact version for SMB is planned for the next versions of agent. For now you can probably stick with the workaround mentioned in this topic.

Thank!

eazaika
Novice
Posts: 3
Liked: never
Joined: Jan 14, 2019 10:05 am
Full Name: Ekaterina Zaika
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by eazaika »

P.Tide, thanks for reply.

Ok, I made new backup by previosly mounting to share folder. But then I want to restore this server by veeam-recovery-media.iso. So, how can I escape mount error on this step (go to Command Line, mount folder and then how can I return to the iso menu)?

PTide
Product Manager
Posts: 5626
Liked: 549 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by PTide »

Right, you should use CLI to mount the share with custom options. To return backup to ISO UI you need to type either 'exit', or 'veeam'.

Thanks!

rishibp
Novice
Posts: 3
Liked: never
Joined: Nov 07, 2019 3:04 pm
Full Name: Rishi Bhagat Pradhananga
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by rishibp »

PTide wrote: Dec 11, 2018 4:44 pm Hi,

As far as I know mount.cifs should be able to auto-negotiate the version, however I am not sure if it's still the case for SMB older than 2.1. If not, then the workaround would be to mount the share with required settings via pre-job script.

Thanks!
hi
How is this issue resolved ? please suggest

PTide
Product Manager
Posts: 5626
Liked: 549 times
Joined: May 19, 2015 1:46 pm
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by PTide »

In VAL 4.0 there is an option to create repository of SMB type via CLI and specify protocol version via -o (options) key. Please check the corresponding userguide section.

Thanks!

mijen67
Lurker
Posts: 1
Liked: 1 time
Joined: Jun 06, 2020 3:40 pm
Full Name: Michael Jenner
Contact:

Re: CENTOS 7.6 - CIFS version issue

Post by mijen67 » 1 person likes this post

I had the same issue.
Tried to backup to a synology box, however when using cifs-utils it complained about mount operation not supported. (error 95).

Work-around:
In field "Username", instead of just having the username, say "backup", I added the parameter setting the smb/cifs version:

Username:
<insert-your-username>,vers=2.0

After that it worked fine.

Post Reply

Who is online

Users browsing this forum: No registered users and 12 guests